Subject: Re: bug#31742: 26.1.50; excorporate.elc byte-compiled in Emacs 25.x fails in Emacs 26.1

From: Thomas Fitzsimmons <[email-masked]>
Date: Thu, 07 Jun 2018 22:17:15 -0400

Noam Postavsky <[email-masked]> writes:

> Thomas Fitzsimmons <[email-masked]> writes:
>
>> (defun soap-resolve-references (element wsdl)
>
>>   (let ((resolver (get (aref element 0) 'soap-resolve-references)))
>
> Ah, then it should work to replace the (aref element 0) with (type-of
> element) as long as cl-old-struct-compat-mode is enabled.

Yes, I retested with that change and it does work.  I guess I should
submit a patch to change all those occurrences in soap-client.  I'm
hoping cl-old-struct-compat-mode will continue to be enabled by default
for a long time.  Thanks for looking into this.

Thomas